const { spawn } = require("child_process");

function executeViaSpawn() {
  return new Promise((resolve) => {
    const command = [
      "ZDLintingFramework",
      "lint",
      "--",
      "--lintEnv=pre-commit",
    ];
    const child_process = spawn("npx", command);

    child_process.stdout.on("data", (output) => {
      console.log(output.toString());
    });

    child_process.stderr.on("err", (error) => {
      console.log(error);
    });

    child_process.on("close", (data) => {
      resolve(data);
    });
  });
}

executeViaSpawn();
